//* Copyright (C) 2001 Micro Focus  International Limited. All Rights Reserved. *

// The functions in this file are:

// NetscapeMouseClick(e) captures the location when the mouse is clicked
// Netscape6MouseClick(e) captures the location when the mouse is clicked
// IEMouseClick() captures the location when the mouse is clicked
// openHelpWin(HelpTopic) opens a popup-sized window that's on the screen
// ixpopup() pops up a window with a list of hotspots
// glpopup() pops up a glossary entry with the whole glossary scrollable
// adminlink(Achm, Afile, Atarget) converts a URL for HHelp into one for EmulateHH
// rmotlink(Afile) loads framset2.htm. No longer used.

// xLoc and yLoc, the location of the mouse pointer when clicked are defined 
// globally so they can be set by an event handler and then used in the function 
// called when a hotspot is clicked.

var xLoc=0,yLoc=0;

function NetscapeMouseClick(e)
// If on Netscape 4, this function is registred to be activated by onMouseDown. 
// It then captures the location of the mouse click before returning control. 
// Note that this event will be called for evey mouse down, not just those on 
// the hotspot. However, only calls on the hotspot cause doPopup to be invoked.
{
  xLoc = e.pageX - window.pageXOffset;
  yLoc = e.pageY - window.pageYOffset;
  window.routeEvent(e);
}

function Netscape6MouseClick(e)
// If on Netscape 6, this function is registred to be activated by onMouseDown. 
// It then captures the location of the mouse click before returning control. 
// Note that this event will be called for evey mouse down, not just those on 
// the hotspot. However, only calls on the hotspot cause doPopup to be invoked.
{
  xLoc = e.clientX;
  yLoc = e.clientY;
  window.routeEvent(e);
}

function IEMouseClick()
// This function is called by the onClick event coded in the HTML for 
// this hotspot. It captures the location of the mouse click. If in Netscape
// it doesn't do anything.
{
  if (navigator.appName != "Netscape")
  {
    xLoc = event.x;
    yLoc = event.y;
  }
}

// At the time of loading the HTML file (and hence the Javascript), if we are 
// Netscape, register a routine to call for onClick (Event.MOUSEDOWN), instead  
// of IEMouseClick as coded in the HTML. Note that document.onMouseDown doesn't 
// seem to work in Netscape 6. 

if (navigator.appName == "Netscape")
{
  if (document.addEventListener)  
  {
    document.addEventListener('click', Netscape6MouseClick, false);
  } 
  else
  {
    document.captureEvents(Event.MOUSEDOWN);
    document.onMouseDown = NetscapeMouseClick;
  }
}

function openHelpWin(HelpTopic)
// This function opens a popup-sized window that's on the screen
{
  var x,y,dx,dy,i,obj;
  if (navigator.appName=="Netscape")
  {
    x=window.screenX+200;
    y=window.screenY+200;
    dy=200;
  }
  else
  {
    x=(screen.width)/2;
    dy=200;
    y=(screen.height-dy)/2;
  } 

  i=setTimeout('i=1',100);
popupWin=window.open(HelpTopic,'Popup','screenX=' + x + ',left=' + x + ',screenY=' + y + ',top=' + y + ',width=400,height=' + dy + ',outerwidth=400,outerheight=' + dy + ',dependent,resizable,scrollbars=1');
  obj=popupWin.focus();
}

function ixpopup()
// This function pops up a window and displays a set of lines, each of which is a hotspot.
// The hotspot causes the window to close, and the specified file to be displayed in 
// a window or frame called "Text". Call it using the format:
//<A HREF="javascript:ixpopup(<dtd-type>,<finder>{'<target-url>','<text>','<book-name>'}*)">
//Where finder = FinderAlways or NoFinderAlways
{
 var strURL,i,j,x,y,dy,xMax,yMax,ind50,p,v,obj,urlindex,prefix,args=ixpopup.arguments;

if (args[2] == undefined)
      {
       args[0] = "topic"
       args[1] = "FinderAlways"
      }

//If there's only one topic, link to it and don't display the popup window
 if ((args[1] == "NoFinderAlways") & (args.length < 6))
 {
  if (args[0] == 'contextv')
    {
     strURL="/sthelp/framset2.htm?" + args[2];
     window.open(strURL,'help_window');
    }
   else
    {
       {window.open(args[2],'Text');}
    }
 }
 else
 {
  if (navigator.appName=="Netscape")
  {
    x=window.screenX-100;
    y=window.screenY+200;
    dy=16+args.length*9;
  }
  else
  {
    x=(screen.width-460)/2;
    dy=16+args.length*6;
    y=(screen.height-dy-40)/2;
  } 


// I've had problems with Nestcape 4 which are fixed by pausing here - hence the 
// setTimeout line.
  if (args.length == 2)
  {
      //Peta Oct06 Don't popup Topics Found window at all, but popup an alert instead)
      alert('The target topics are not available in this version of the documentation');
  }
  else
  { 
  i=setTimeout('i=1',100);
  popup_ix=window.open('','popup','screenX=' + x + ',left=' + x + ',screenY=' + y + ',top=' + y + ',width=460,height=' + dy + ',outerwidth=460,outerheight=' + dy + ',dependent,scrollbars=1');
  obj=popup_ix.focus();
  popup_ix.document.open();
  popup_ix.document.writeln('<HTML><HEAD><TITLE>Topics Found</TITLE><LINK HREF="mrhelp.css" REL="stylesheet" TYPE="text/css"></HEAD>');
  popup_ix.document.writeln('<BODY class="alinklist" marginheight="0" marginwidth="0">');
  popup_ix.document.writeln('<TABLE class="alinklist" width="100%">');
 
//Check for the preliminary parameters: 0=dtd-type and 1=finder
  urlindex = 2;
  if ((args[0] !== 'chapter') & (args[0] !== 'topic') & (args[0] !== 'contextv')) 
    {urlindex = urlindex-1;}
  if ((args[1] !== "NoFinderAlways") & (args[1] !== "FinderAlways"))
    {urlindex = urlindex-1;}

// Convert %20 to space in the hot text
  var k,out,add,temp,pos;
  for (k=urlindex+1; k<args.length; k=k+3)
   {
   out = "%20"; // replace this
   add = " "; // with this
   temp = "" + args[k]; // temporary holder

   while (temp.indexOf(out)>-1) 
     {
     pos= temp.indexOf(out);
     temp = "" + (temp.substring(0, pos) + add + temp.substring((pos + out.length), temp.length));
     }
   args[k] = temp;
   }

  if (args[0] == 'contextv')
    {
     for (i=urlindex; i<args.length; i=i+3)
      {
       if (args[i].substring(2,6)=="pubb" | args[i].substring(2,6)=="PUBB")
        {
         prefix = args[i].substring(0,2);
         args[i] = prefix + "pref.htm";
        }
       popup_ix.document.writeln('<TR><TD><NOBR><A onClick="var x=setTimeout(\'self.close()\',100)" ' + 'HREF="/sthelp/framset2.htm?' + args[i] + '" ' + 'TARGET="help_window">' + args[i+1] + '</A></NOBR></TD><TD><NOBR>' + args[i+2] + '</NOBR></TD></TR>');
      }
  }
  else 
  {
    //if (args.length == 2)
     //{  Peta Oct06 Don't popup Topics Found window at all, but popup an alert at the top instead)
       //popup_ix.document.writeln('<TR><TD><NOBR>No topics found</NOBR></TD></TR>');
     //}
     for (i=urlindex; i<args.length; i=i+3)
      {
         popup_ix.document.writeln('<TR><TD><NOBR><A onClick="var x=setTimeout(\'self.close()\',100)" ' + 'HREF="' + args[i] + '" ' + 'TARGET="Text">' + args[i+1] + '</A></NOBR></TD><TD><NOBR>' + args[i+2] + '</NOBR></TD></TR>');
      }
   }
  popup_ix.document.writeln('</TABLE></BODY></HTML>');
  popup_ix.document.close(); 
  }
}
}

function glpopup(glosTerm)
// This function pops up the glossary in a small window 
// and displays the specified glossary entry. 
// Call it using: <A HREF="javascript:glpopup('glosTerm')>
// Add the following to the glossary file to close the glosWin if calling window closes
//<BODY onBlur="if (window.opener.closed && window.name=='glosPopup') window.close();">

{
  var x,y,dx,dy,i,location,glosWin,obj;
 
  if (navigator.appName=="Netscape")
  {
    x=window.screenX+200;
    y=window.screenY+200;
    dy=250;
  }
  else
  {
    x=(screen.width)/2;
    dy=250;
    y=(screen.height-dy)/2;
  } 

  i=setTimeout('i=1',100);
  location="rhglos.htm#" + glosTerm;
glosWin=window.open(location,'glosPopup','screenX=' + x + ',left=' + x + ',screenY=' + y + ',top=' + y + ',width=460,height=' + dy + ',outerwidth=460,outerheight=' + dy + ',dependent,resizable,scrollbars=1');
  obj=glosWin.focus();
}

function adminlink(Achm, Afile, Atarget) 
// This function converts a URL for HHelp output into a URL for HH emulation output.
// It loads frameset.htm, which sets up the frames using the converted URL.
// This is used for contextHTML to link to the main help
// Fixed Oct 01 by adding the # below. Not delivered for 5.0
{
    var strURL="/sthelp/framset2.htm?" + Afile + ".htm#" + Atarget;
    window.open(strURL,'help_window');
}

function rmotlink(Afile) 
// No longer used
// This function loads framset2.htm, using the input file as a query parameter
// This was used by Helplinks in context topics to link to the main help.
// Now, the statements in this function are included inline in ixpopup()
{
  if (Afile.substring(2,6)=="pubb")
   {
    var prefix = Afile.substring(0,2);
    Afile = prefix + "pref.htm";
   }
   var strURL="/sthelp/framset2.htm?" + Afile;
   window.open(strURL,'help_window');
}
